package res_e

import "git.hilo.cn/hilo-common/resource/mysql"

type MsgIdType = uint

const (
	DEFAULT_LANG = "en"

	MSG_ID_GAME_CREATE MsgIdType = 1001
	MSG_ID_GAME_JOIN   MsgIdType = 1002
)

type ResMedalType = mysql.Type

const (
	Wealth        ResMedalType = 1
	Charm         ResMedalType = 2
	LoveForAll    ResMedalType = 3
	StartForAll   ResMedalType = 4
	MoonForAll    ResMedalType = 5
	MarryMe       ResMedalType = 6
	RoomRocket    ResMedalType = 7
	Actity        ResMedalType = 8
	FruitKing     ResMedalType = 9
	BoxKing       ResMedalType = 10
	Helicopter    ResMedalType = 11
	Roadster      ResMedalType = 12
	Watermelon    ResMedalType = 13
	Kiss          ResMedalType = 14
	Love          ResMedalType = 15
	Chick         ResMedalType = 16
	SportsCar     ResMedalType = 17
	Rocket        ResMedalType = 18
	Tower         ResMedalType = 19
	Eagle         ResMedalType = 20
	Lion          ResMedalType = 21
	Vacation      ResMedalType = 22
	RomanticNight ResMedalType = 23
	SweetCouple   ResMedalType = 24
	Castle        ResMedalType = 25
	WeddingCar    ResMedalType = 26
	VideoChat     ResMedalType = 27
)

type ResMedalScope = mysql.Type

const (
	//私有，只能时管理人发放
	Private ResMedalScope = 1
	//公有，自己获取
	Public ResMedalScope = 2
)

type ResNameplateType = mysql.Type
type ResNameplateObtainType = mysql.Type
type ResNameplateScope = mysql.Type
